# List Environment Shared Envs

Source: https://next.coolify.io/docs/api/endpoints/shared-environment-variables/list-environment-shared-envs

## GET /projects/{uuid}/environments/{environment_name_or_uuid}/envs

List Environment Shared Envs

List shared environment variables for a project environment (type=environment).

**Authentication:** Bearer token (`bearerAuth`)

### Parameters

| Name | In | Required | Type | Description |
| --- | --- | --- | --- | --- |
| uuid | path | yes | string | Project UUID |
| environment_name_or_uuid | path | yes | string | Environment name or UUID |

### Responses

#### 200

Environment shared environment variables.

#### 401

Unauthenticated.

`application/json`: object

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| message | string | no |  |

#### 404

Resource not found.

`application/json`: object

| Field | Type | Required | Description |
| --- | --- | --- | --- |
| message | string | no |  |
